' Sortierfelder lschen
'
' Das Skript lscht alle Sortierfelder der aktuell
' selektierten Titel.
'
' (c) 2007-2015 Gerald Erdmann
'
' Skript aus dem Buch "iPod + iTunes", erscheinen bei O'Reilly
' Weitere Details finden Sie unter http://www.ipodbuch.de.
' Fr etwaige Fehler oder Datenverluste wird keine Garantie
' bernommen. Benutzung auf eigene Gefahr!
'
' Zur Installation das Skript an eine beliebige Stelle kopieren.
' Das Skript kann nicht direkt aus iTunes heraus aufgerufen werden,
' sondern wird direkt aus dem Windows Explorer gestartet.
'
' Version 1.0  Juni 2007  Erste Version
' Version 1.1  Sep. 2010  Fix fr iTunes 10
' Version 1.2  Jan. 2015  Fix fr iTunes 12
'

dim iTunes
dim tracklist
dim track
dim counter

set iTunes = CreateObject ("iTunes.Application")
set tracklist = iTunes.SelectedTracks
set iTunesTracks = itunes.LibraryPlaylist.Tracks

redim brokenTracks (iTunesTracks.count)
counter = 0

if left (iTunes.Version, 3) <> "10." and left (iTunes.Version, 3) <> "11." and left (iTunes.Version, 3) <> "12."  and left (iTunes.Version, 3) <> "13." and iTunes.Version < "7.1" then
  WScript.Echo "Sie bentigen iTunes 7.1 oder hher fr dieses Skript!"
else
  if tracklist is nothing then
    WScript.Echo "Sie haben keine Titel selektiert!"
  else
    for track = tracklist.Count to 1 step -1
      if tracklist.Item(track).SortAlbum <> "" then
        tracklist.Item(track).SortAlbum = ""
        counter = counter + 1
      end if
      if tracklist.Item(track).SortAlbumArtist <> "" then
        tracklist.Item(track).SortAlbumArtist = ""
        counter = counter + 1
      end if
      if tracklist.Item(track).SortArtist <> "" then
        tracklist.Item(track).SortArtist = ""
        counter = counter + 1
      end if
      if tracklist.Item(track).SortName <> "" then
        tracklist.Item(track).SortName = ""
        counter = counter + 1
      end if
      if tracklist.Item(track).SortComposer <> "" then
        tracklist.Item(track).SortComposer = ""
        counter = counter + 1
      end if
      if tracklist.Item(track).SortShow <> "" then
        tracklist.Item(track).SortShow = ""
        counter = counter + 1
      end if
    next

    if counter = 0 then
      WScript.Echo "Es wurde kein Sortierfeld gelscht!"
    elseif counter = 1 then
      WScript.Echo "Es wurde ein Sortierfeld gelscht!"
    else
      WScript.Echo "Es wurden " & counter & " Sortierfelder gelscht!"
    end if
  end if
end if